
QGIS Application - Bug report #877

SIGSEGV editing postgis layer (delete vertex)

2007-12-19 07:14 AM - Alessandro Pasotti

Status: Closed

Priority: Low

Assignee: nobody -

Category: Digitising

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10936

Description

I was doing correction of topology errors.

Debug: /home/ale/dev/cpp/qgis/src/app/qgsmaptoolvertexedit.cpp: 440: (canvasReleaseEvent) [[DeleteVertex]].

Debug: /home/ale/dev/cpp/qgis/src/core/qgsgeometryvertexindex.cpp: 58: (back) mIndex contains: 3640

Program received signal SIGSEGV, Segmentation fault.

[Switching to Thread 47022860611792 (LWP 2445)]

0x00002ac452a613bf in [[QgsGeometry]]::deleteVertexAt (this=0x2aaab4021788,

    atVertex=@0x7fff5bfbd6a0)

    at /home/ale/dev/cpp/qgis/src/core/qgsgeometry.cpp:1439

1439                      memcpy(ptr+(*nPoints-1)*2*sizeof(double), ptr+2*sizeof(double), sizeof(double));

(gdb) bt

#0  0x00002ac452a613bf in [[QgsGeometry]]::deleteVertexAt (this=0x2aaab4021788,

    atVertex=@0x7fff5bfbd6a0)

    at /home/ale/dev/cpp/qgis/src/core/qgsgeometry.cpp:1439

#3905  0x00002ac452ab035b in [[QgsVectorLayer]]::deleteVertexAt (this=0xc49030,

    atFeatureId=38, atVertex=@0x7fff5bfbd760)

    at /home/ale/dev/cpp/qgis/src/core/qgsvectorlayer.cpp:1338

#3906  0x0000000000549d0e in [[QgsMapToolVertexEdit]]::canvasReleaseEvent (

    this=0xd35be0, e=0x7fff5bfbe260)

    at /home/ale/dev/cpp/qgis/src/app/qgsmaptoolvertexedit.cpp:446

#3907  0x00002ac452dfa589 in [[QgsMapCanvas]]::mouseReleaseEvent (this=0xbf2b10,

    e=0x7fff5bfbe260) at /home/ale/dev/cpp/qgis/src/gui/qgsmapcanvas.cpp:685

#3908  0x00002ac44f6c35d9 in QWidget::event () from /usr/lib/libQtGui.so.4

#3909  0x00002ac44f9ee3ed in QFrame::event () from /usr/lib/libQtGui.so.4

#3910  0x00002ac44fa74430 in QAbstractScrollArea::viewportEvent ()

   from /usr/lib/libQtGui.so.4

#3911  0x00002ac44fbbab68 in QGraphicsView::viewportEvent ()

   from /usr/lib/libQtGui.so.4

#3912  0x00002ac44fa76c4a in ?? () from /usr/lib/libQtGui.so.4

#3913  0x00002ac44fa76c8a in ?? () from /usr/lib/libQtGui.so.4

#10 0x00002ac44f676cd3 in QApplicationPrivate::notify_helper ()

   from /usr/lib/libQtGui.so.4

#3914 0x00002ac44f677949 in QApplication::notify () from /usr/lib/libQtGui.so.4

#3915 0x00002ac45206b846 in QCoreApplication::notifyInternal ()

   from /usr/lib/libQtCore.so.4

#3916 0x00002ac44f681e73 in ?? () from /usr/lib/libQtGui.so.4

#3917 0x00002ac44f6dc742 in ?? () from /usr/lib/libQtGui.so.4

#3918 0x00002ac44f6da239 in QApplication::x11ProcessEvent ()
   from /usr/lib/libQtGui.so.4

#3919 0x00002ac44f708599 in ?? () from /usr/lib/libQtGui.so.4

#3920 0x00002ac456562fd3 in g_main_context_dispatch ()

   from /usr/lib/libglib-2.0.so.0

#3921 0x00002ac4565662dd in ?? () from /usr/lib/libglib-2.0.so.0

#3922 0x00002ac45656680e in g_main_context_iteration ()

   from /usr/lib/libglib-2.0.so.0

#3923 0x00002ac452092f4e in QEventDispatcherGlib::processEvents ()

   from /usr/lib/libQtCore.so.4

#3924 0x00002ac44f707e07 in ?? () from /usr/lib/libQtGui.so.4

#3925 0x00002ac452068b31 in QEventLoop::processEvents ()

   from /usr/lib/libQtCore.so.4

#3926 0x00002ac452068c86 in QEventLoop::exec () from /usr/lib/libQtCore.so.4

#3927 0x00002ac45206bffc in QCoreApplication::exec ()

   from /usr/lib/libQtCore.so.4

#3928 0x00002ac44f676928 in QApplication::exec () from /usr/lib/libQtGui.so.4

#3929 0x00000000004b74dc in main (argc=1, argv=0x7fff5bfbf668)

    at /home/ale/dev/cpp/qgis/src/app/main.cpp:631

History

#1 - 2008-02-07 10:38 PM - Paolo Cavallini

has this been fixed in 0.92? The digitizing component is quite new, so I would expect so. Please check and close the bug if appropriate (it works for me).

#2 - 2008-03-20 03:35 AM - leolami -

- Resolution set to fixed

- Status changed from Open to Closed

I close it. If you think it is still valid reopen it, please.

#3 - 2009-08-22 12:54 AM - Anonymous

Milestone Version 0.9.2 deleted
